use crate::storage::Error;
use crate::storage::associations::HasMany;
use sqlx::{Pool, Postgres};
use std::collections::HashMap;

pub(super) async fn find_has_manys_by_bucket<B: Clone + Send + Sync + ToString>(
    _pool: &Pool<Postgres>,
) -> Result<HashMap<String, Vec<HasMany<B>>>, Error> {
    let map = HashMap::new();
    // TODO
    Ok(map)
}
